質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.78%

tensorboardX を使って機械学習のlossのグラフがみたい

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 846

goro_gnm

score 37

pythorchでtensorboardを使いたいと思ってます。

https://qiita.com/meipuru344/items/f7ce91627ced8a8a7587

上記サイトを参考にtensorboardを使ってみたのですが、エラーが出力されてしまいます。調べても理由がわからなかったので教えてもらえるとうれしいです。

やりたいこと

tensorboardXにグラフを書かせてそれをみたい

環境

  • 外部サーバにssh接続している
  • NVIDIA Cuda compiler driver ver9.9
  • Ubuntu 16.04
  • torch 1.2.0
  • tensorflow 2.1.0
  • tensorboardX 2.0

実行したこと

下のファイルを実行

import tensorboardX as tbx
import torch

#出力先のファイル名指定
writer = tbx.SummaryWriter("runs/exp-1")

for i in range(20):
    writer.add_scalar("group/epoch", torch.randn(1).item(), i)
writer.close()


下のコマンドを実行

tensorboard --logdir="runs/exp-1"


コマンド実行後エラーが出力

2020-02-05 01:59:10.103766: W tensorflow/stream_executor/platform/default/dso_loader.cc:55] Could not load dynamic library 'libnvinfer.so.6'; dlerror: libnvinfer.so.6: cannot open shared object file: No such file or directory; LD_LIBRARY_PATH: /home/n.nakamura/ubuntu16/lib:/usr/local/cuda/lib64
2020-02-05 01:59:10.105144: W tensorflow/stream_executor/platform/default/dso_loader.cc:55] Could not load dynamic library 'libnvinfer_plugin.so.6'; dlerror: libnvinfer_plugin.so.6: cannot open shared object file: No such file or directory; LD_LIBRARY_PATH: /home/n.nakamura/ubuntu16/lib:/usr/local/cuda/lib64
2020-02-05 01:59:10.105182: W tensorflow/compiler/tf2tensorrt/utils/py_utils.cc:30] Cannot dlopen some TensorRT libraries. If you would like to use Nvidia GPU with TensorRT, please make sure the missing libraries mentioned above are installed properly.
Traceback (most recent call last):
  File "/home/n.nakamura/ubuntu16/pyenv/versions/3.6.8/bin/tensorboard", line 8, in <module>
    sys.exit(run_main())
  File "/home/n.nakamura/ubuntu16/pyenv/versions/3.6.8/lib/python3.6/site-packages/tensorboard/main.py", line 59, in run_main
    default.get_plugins() + default.get_dynamic_plugins(),
  File "/home/n.nakamura/ubuntu16/pyenv/versions/3.6.8/lib/python3.6/site-packages/tensorboard/default.py", line 115, in get_dynamic_plugins
    for entry_point in pkg_resources.iter_entry_points('tensorboard_plugins')
  File "/home/n.nakamura/ubuntu16/pyenv/versions/3.6.8/lib/python3.6/site-packages/tensorboard/default.py", line 115, in <listcomp>
    for entry_point in pkg_resources.iter_entry_points('tensorboard_plugins')
  File "/home/n.nakamura/ubuntu16/pyenv/versions/3.6.8/lib/python3.6/site-packages/pkg_resources/__init__.py", line 2345, in load
    self.require(*args, **kwargs)
  File "/home/n.nakamura/ubuntu16/pyenv/versions/3.6.8/lib/python3.6/site-packages/pkg_resources/__init__.py", line 2368, in require
    items = working_set.resolve(reqs, env, installer, extras=self.extras)
  File "/home/n.nakamura/ubuntu16/pyenv/versions/3.6.8/lib/python3.6/site-packages/pkg_resources/__init__.py", line 789, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.VersionConflict: (setuptools 40.6.2 (/home/n.nakamura/ubuntu16/pyenv/versions/3.6.8/lib/python3.6/site-packages), Requirement.parse('setuptools>=41.0.0'))

ちなみにssh接続ではなく、ローカルで同じことを実行したときは問題なくやりたいことをすることができました。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

+1

エラー文だけで判断しますと、setuptools が古いことで引っかかっているように見えます。
下記コマンドで pip と setuptools を upgrade すると動作する可能性があります。

$ pip install --upgrade pip setuptools

それでも駄目だった場合、念の為 pip freeze で torch や tensorboard がローカルと同じバージョンになっているかも確認すると良いかもしれません。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

0

自己解決したのですが、書き忘れていました。
回答いただいたように、バージョンの問題だったようです。

いろいろ解決方法はあったように思いますが、自分の環境で一番楽に実行できそうなtensorboard のダウングレードで解決しました。
バージョンは2.1.0 -> 1.14 にしました。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.78%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る